drwebdc(1)

NAME
drwebdc - is a client for the DrWeb Daemon (drwebd).

SYNOPSIS
drwebdc [OPTIONS]

DESCRIPTION
drwebdc provides direct interface to the DrWeb Daemon, enabling immediate antivirus file check by drwebd.

OPTIONS

--help
    - use help.

--version
    - view information on current program version.

-f <path to file>
    - path to file for scan.

-i  - read data from the standart input (stdin).

-d <path to file>
    - path to the PID-file of DrWeb Daemon.

-u <path to file>
    - path to the UNIX-socket file of DrWeb Daemon.

-c <path to file>
    - path to file for partial scanning. -o and -l parameters must be necessarily specified after it.

-o <offset value>
    - offset to be made in file for partial scanning.

-l <length>
    - length of file part to scan.

-n <address>
    - IP-address or domain name of DrWeb Daemon.

-p <port number>
    - TCP port of DrWeb Daemon.

-t <value in seconds>
    - timeout for the scanning section.

-h  - use heuristic analyser.

-m  - use FilterRules from drweb32.ini.

-a  - use antispam plug-in.

--update
    - send update command to the DrWeb Daemon.

-x  - scan object as local file.

-sb - show information about base(s) with virus definitions.

-si - show Daemon heading string.

-sv - show Daemon version.

-rv - return virus name(s).

-rf - return alerted filter rule(s).

-rc - return extended code(s).

-rr - return report line(s).

-rs <size in bytes>
    - size of report.

-q  - quiet mode.

-v  - verbose mode.

-w  - debug mode.

-e  - file in e-mail format (obsolete, ignored).

-T  - use TCP_NODELAY option for socket.

-F <e-mail address>
    - sender e-mail address, for testing purposes only.

-R <e-mail address>
    - recipient e-mail address, for testing purposes only.

-V[c|d|r|m]
    - action for infected files: cure, delete, rename, move (for testing purposes only).

-I[d|r|m]
    - action for incurable files: delete, rename, move (for testing purposes only).

-A[i|d|r|m]
    - action for adware: ignore, delete, rename, move (for testing purposes only).

-D[i|d|r|m]
    - action for dialers: ignore, delete, rename, move (for testing purposes only).

-J[i|d|r|m]
    - action for jokes: ignore, delete, rename, move (for testing purposes only).

-W[i|d|r|m]
    - action for riskware: ignore, delete, rename, move (for testing purposes only).

-H[i|d|r|m]
    - action for hacktools: ignore, delete, rename, move (for testing purposes only).

AUTHOR
Doctor Web (http://www.drweb.com)

SEE ALSO
drwebd(1)